<?php
namespace SMSAdvert;

if ( ! defined( 'ABSPATH' ) )
	exit;

class Assets{

    public function __construct() {
        add_action('admin_enqueue_scripts', [$this, 'IncludeAdminAssets'], 9999);
    }
    public function IncludeAdminAssets(){
        if(! wp_script_is( 'jquery', 'enqueued' )){
            wp_register_script('jquery', SMSAdvert()->sURL . 'assets/js/jquery.js', false, SMSAdvert()->sVersion, 'all');
            wp_enqueue_script ('jquery');
        }
        wp_register_style('sa-admin-css', SMSAdvert()->sURL.'assets/css/admin.css', false, SMSAdvert()->sVersion, 'all'); 
        wp_enqueue_style ('sa-admin-css');
        wp_register_script('sa-admin-js', SMSAdvert()->sURL . 'assets/js/admin.js', false, SMSAdvert()->sVersion, 'all');
        wp_enqueue_script ('sa-admin-js');
    }
}