<div class="sa-admin-notifications-container">
    <h3><?php _e('Customer notifications','sms-advert');?></h3>
    <p>You can enable/disable notification using the checkbox next to the message. <br/>Don't forget to click the Save button on the bottom of the page.</p>
    <p><b>You can use the following auto-replacement labels in messages:</b>
    {ORDER_ID}, {SITE_NAME}, {BILLING_FIRST_NAME}, {BILLING_LAST_NAME}, {BILLING_ADDRESS}, {BILLING_CITY}, {BILLING_STATE},
     {BILLING_ZIP}, {BILLING_COUNTRY}, {BILLING_EMAIL}, {BILLING_PHONE}, {SHIPPING_FIRST_NAME}, {SHIPPING_LAST_NAME}, {SHIPPING_ADDRESS}, {SHIPPING_CITY}, {SHIPPING_STATE},
     {SHIPPING_ZIP}, {SHIPPING_COUNTRY}, {NOTE}, {ORDER_TOTAL}
    </p>
            <table>
            <tr>
                <td>
                    <b><?php _e('New order created','sms-advert');?>:</b> 
                </td>
                <td>
                    <textarea name="sa_customer_order_created_msg"><?php echo(get_option('sa_customer_order_created_msg',true));?></textarea>
                </td>
                <td>
                    <input name="sa_customer_order_created_msg_enabled" <?php echo(get_option('sa_customer_order_created_msg_enabled',true)==1?'checked':'');?> value="1" type="checkbox">
                </td>
            </tr>
            <tr>
                <td>
                    <b><?php _e('Note is added','sms-advert');?>:</b> 
                </td>
                <td>
                    <textarea name="sa_customer_note_added_msg"><?php echo(get_option('sa_customer_note_added_msg',true));?></textarea>
                </td>
                <td>
                    <input name="sa_customer_note_added_msg_enabled" <?php echo(get_option('sa_customer_note_added_msg_enabled',true)==1?'checked':'');?> value="1" type="checkbox">
                </td>
            </tr>
            <?php
                $aStatuses = wc_get_order_statuses();
                if(is_array($aStatuses)){
                    foreach($aStatuses as $sStatusSlug=>$sStatus){
                        $sOption = 'sa_customer_order_'.str_replace('-','_',str_replace('wc-','',$sStatusSlug)).'_msg';
                        $sEnabledOption = 'sa_customer_order_'.str_replace('-','_',str_replace('wc-','',$sStatusSlug)).'_msg_enabled';
                        ?>
                    <tr>
                        <td>
                            <b><?php _e('Order','sms-advert');?> "<?php echo($sStatus);?>" <?php _e('custom message','sms-advert');?>:</b> 
                        </td>
                        <td>
                            <textarea name="<?php echo($sOption);?>"><?php echo(get_option($sOption,true));?></textarea>
                        </td>
                        <td>
                            <input name="<?php echo($sEnabledOption);?>" <?php echo(get_option($sEnabledOption,true)==1?'checked':'');?> value="1" type="checkbox">
                        </td>
                    </tr>    
                    <?php
                    }
                }
            ?>
            <tr>
                <td colspan="3" class="InputTD"><br>
                    <button type="submit" style="font-size: 14px; padding: 10px; padding-left: 25px; padding-right: 25px;" class="btn btn-primary">Save</button>
                </td>
            </tr>        
            </table>     
</div>    




