<?php
namespace SMSAdvert;

if ( ! defined( 'ABSPATH' ) ) exit;
final class SMSAdvert{
    protected static $Instance = null;
    
    public $sURL;
    public $sPath;
    public $sVersion;
    protected $sBaseName;
    protected $oAssets;
    protected $oShortcodes;
    protected $oSender;
    protected $oAjax;
    protected $oSettings;

    
    public static function Instance() {
        if ( is_null( self::$Instance ) ) {
            self::$Instance = new self();
        }
        return self::$Instance;
    }
    function __construct() {
        $this->sPath        = plugin_dir_path(SA_FILE);
        $this->sURL         = plugin_dir_url(SA_FILE);
        $this->sBaseName    = plugin_basename(SA_FILE);
        $this->sVersion =   '0.0.1';
        $this->oAssets      = new Assets();
        //$this->oShortcodes  = new Shortcodes();
        $this->oSender   = new Sender();
        //$this->oAjax        = new Ajax();
        $this->oSettings    = new Settings();
    }
    public static function Activate() {
        flush_rewrite_rules();
    }
    public static function Deactivate() {
        flush_rewrite_rules();
    }
}



