<?php
/**
 * Plugin Name: SMSAdvert Order Status
 * Description: To configure the plugin go to: Settings / SMSAdvert
 * Version: 2.6
 * Author: SMSAdvert
 * Text Domain: sms-advert
 */
if ( ! defined( 'ABSPATH' ) ) {    
    exit;
}
define('SA_FILE', __FILE__);
define('SA_VERSION', '2.6');
if (!class_exists('SMSAdvert')){
    include_once 'classes/SMSAdvert.php';
    include_once 'classes/Sender.php';
    include_once 'classes/Assets.php';
    include_once 'classes/Settings.php';
}
if (!function_exists('SMSAdvert')){
    function SMSAdvert(){
        return \SMSAdvert\SMSAdvert::Instance();
    }
}
$GLOBALS['SMSAdvert'] = SMSAdvert();
register_activation_hook(__FILE__, ['\SMSAdvert\SMSAdvert', 'Activate']);
register_deactivation_hook( __FILE__, ['\SMSAdvert\SMSAdvert', 'Deactivate'] );






