
<table border="0">
    <tr>
        <td class="InputTD">
            This is the general settings page, to setup the custom messages use the tabs above
            <h3 style="padding-bottom: 0px; margin-bottom: 0px;"><?php _e('SMSAdvert API Token','sms-advert');?></h3><br>
            The API Token can be found in your SMSAdvert account at the API section<br>
            <input style="min-width: 450px; margin-top: 10px" type="text" id="sa_api_token" name="sa_api_token" value="<?php echo(get_option('sa_api_token',true));?>">
        </td>
    </tr>
    <tr>
        <td class="InputTD">
            <h3 style="padding-bottom: 0px; margin-bottom: 0px;"><?php _e('Primary channel','sms-advert');?></h3><br>
            Choose the default sending channel<br>
            <select name="sa_sender" style="margin-top: 10px" id="sa_sender" onchange="SA_ChannelChanged()">
                <option <?php echo(get_option('sa_sender',true)=='smsadvert'?'selected':'');?> value="smsadvert">SMSAdvert Network</opton>
                <option <?php echo(get_option('sa_sender',true)=='owndevices'?'selected':'');?> value="owndevices">Own Devices</opton>
            </select>    
            
        </td>
    </tr>
    <tr id="SA_ExtraParam" <?php echo(get_option('sa_sender',true)=='owndevices'?'':'style="display: none"');?>>
        <td class="InputTD">
            <h3 style="padding-bottom: 0px; margin-bottom: 0px;"><?php _e('Secondary channel','sms-advert');?></h3><br>
            Do you want to send SMS messages using SMSAdvert Network if there are no devices connected?<br>
            <select name="sa_send_use_smsadvert" style="margin-top: 10px">
                <option <?php echo(get_option('sa_send_use_smsadvert',true)==1?'selected':'');?> value="1">yes</opton>
                <option <?php echo(get_option('sa_send_use_smsadvert',true)==0?'selected':'');?> value="0">no</opton>
            </select> 
            
        </td>
    </tr>
    
    <tr>
        <td class="InputTD">
            <h3 style="padding-bottom: 0px; margin-bottom: 0px;"><?php _e('Administrator phone number','sms-advert');?></h3><br>
            This phone number will be used to send SMS notifications to the administrator of the shop. In order to setup the statuses use the Administrator tab.<br/>
            <input style="min-width: 350px; margin-top: 10px" type="text" id="sa_owner_mobile_number" name="sa_owner_mobile_number" value="<?php echo(get_option('sa_owner_mobile_number',true));?>">
        </td>
    </tr>
    <tr>
        <td class="InputTD">
            <h3 style="padding-bottom: 0px; margin-bottom: 0px;"><?php _e('Recent Logs','sms-advert');?></h3><br>
            <textarea name="sa_log"  style=" width: 100%;min-height: 200px; min-width: 600px;" readonly><?php echo(get_option('sa_log',true));?></textarea>
        </td>
    </tr>
    <tr>
        <td colspan="2" class="InputTD"><br>
            <button type="submit" style="font-size: 14px; padding: 10px; padding-left: 25px; padding-right: 25px;" class="btn btn-primary">Save</button>
        </td>
    </tr>
</table>      
